function love.load()
  local word1 = love.audio.newSource("1.wav", "static")
  local word2 = love.audio.newSource("2.wav", "static")
  words = { word1, word2, word2, word1, word1, word2, word2 }
end

function updatePhrase(phrase)
  phrase.index = phrase.index or 0
  if phrase.index == #phrase then return end
  if phrase.index == 0 or phrase.current:isStopped() then
    phrase.index   = phrase.index + 1
    phrase.current = phrase[phrase.index]:clone()
    phrase.current:play()
  end
end

function love.update(dt)
  updatePhrase(words)
end

function love.keypressed()
  love.event.quit()
end
